

package gov.va.med.cds.exception;


import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;

import org.junit.Test;
import org.junit.runner.RunWith;


@RunWith( SuiteAwareRunner.class )
public class EncryptionExceptionTest
{
    @Test( expected = EncryptionException.class )
    @Suite( groups = "checkintest" )
    public void testEncryptionExceptionTest( )
    {
        throw new EncryptionException( ErrorCodeEnum.ENCRYPTION_EXCEPTION );
    }


    @Test( expected = EncryptionException.class )
    @Suite( groups = "checkintest" )
    public void testEncryptionExceptionTestWithCustomMessage( )
    {
        throw new EncryptionException( ErrorCodeEnum.ENCRYPTION_EXCEPTION, new Exception(), "Error in Encryption" );
    }


    @Test( expected = EncryptionException.class )
    @Suite( groups = "checkintest" )
    public void testEncryptionExceptionTestWithWrappedException( )
    {
        throw new EncryptionException( ErrorCodeEnum.ENCRYPTION_EXCEPTION, new Exception() );
    }

}
